## org.eclipse.datatools.connectivity.db.generic
Class GenericDBPropertiesPersistenceHook

    java.lang.Object
      org.eclipse.datatools.connectivity.PropertiesPersistenceHook
          org.eclipse.datatools.connectivity.drivers.jdbc.JDBCPasswordPropertyPersistenceHook
              org.eclipse.datatools.connectivity.db.generic.GenericDBPropertiesPersistenceHook

All Implemented Interfaces:
  IPropertiesPersistenceHook

    public class GenericDBPropertiesPersistenceHook

extends JDBCPasswordPropertyPersistenceHook

Copyright (c) 2006, 2007 Sybase, Inc. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html Contributors: rcernich - initial API and implementation IBM Corporation - migrated to new wizard framework

Constructor Summary
`GenericDBPropertiesPersistenceHook()`

Method Summary

Methods inherited from class org.eclipse.datatools.connectivity.drivers.jdbc.JDBCPasswordPropertyPersistenceHook
`arePropertiesComplete, getConnectionPropertiesPageID, getPersitentProperties`

Methods inherited from class org.eclipse.datatools.connectivity.PropertiesPersistenceHook
`populateTransientProperties`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.connectivity.IPropertiesPersistenceHook
`populateTransientProperties`

Constructor Detail

### GenericDBPropertiesPersistenceHook

    public GenericDBPropertiesPersistenceHook()